Bug 5493 - сломалось выключение системы
: сломалось выключение системы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/consolehelper)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-12 10:41 by
Modified: 2005-07-13 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-12 10:41:11
После недавнего обновления нельзя выключить систему из меню gdm: gdm
завершается, на консоли появляется примерно следующее: "/usr/sbin/poweroff:
child XXXXX exited on signal 15" и всё.
------- Comment #1 From 2004-11-12 11:47:16 -------
Сообщение следующее:
/usr/bin/poweroff: child XXXXX terminated with signal 15.
: No such file or directory
И неудивительно, так как poweroff находится в /usr/sbin.
------- Comment #2 From 2004-11-12 17:35:12 -------
(In reply to comment #1)
> Сообщение следующее:
> /usr/bin/poweroff: child XXXXX terminated with signal 15.
> : No such file or directory
> И неудивительно, так как poweroff находится в /usr/sbin.

Да?

$ which poweroff
/usr/bin/poweroff
$ rpm -qf `which poweroff`
SysVinit-usermode-1.4-alt3
------- Comment #3 From 2004-11-13 14:40:04 -------
(In reply to comment #2)
> Да?
> 
> $ which poweroff
> /usr/bin/poweroff
И действительно. Но ошибка на месте.
------- Comment #4 From 2004-11-15 16:29:48 -------
Unable to reproduce, SysVinit-usermode-1.4-alt3 "works for me".
------- Comment #5 From 2004-11-15 20:28:07 -------
Присоединяюсь с жалобами на проблему. Это не должно быть из-за #5473 - я
обратил
внимание на сообщение при обновлении, и у меня

# ls -al /etc/pam.d/reboot
-rw-r-----  1 root root 171 Aug  3 20:56 /etc/pam.d/reboot

rpm -Vf /etc/pam.d/reboot завершается без ошибок.

Но проблема есть! Могу только дополнить, что при попытке выключения из gdm,
помимо 
"/usr/bin/poweroff: child XXXXX terminated with signal 15.", во второй строчке
выводится ": No such file or directory". Если прямо после этого войти в систему
(безразлично, root'ом или нет) и дать команду poweroff - выключается без
проблем.
------- Comment #6 From 2004-11-15 21:01:53 -------
А у меня и из консоли (от юзера) не всегда получается - с 1-го раза такая же 
ошибка, если потом быстро еще несколько раз выполнить эту команду, на какой-то 
раз получается.
------- Comment #7 From 2004-11-16 00:09:22 -------
Во.
Пишу от юзера reboot, получаю что-то типа child XXXXX terminated. На 1-й взгляд 
ребут не начинается (по кр.мере клава в иксах не лочится, как обычно при ребуте 
- кстати, это нормально?). Выплняю еще раз. Получаю kill: XXXXX: operation not 
permitted (pid слегка больше того, что был в прошлой ругани). Хочу сделать ps 
afx - успеваю набрать ps af, как клава лочится и машина штатно уходит в ребут.

Все-таки это не gdm.
------- Comment #8 From 2004-11-16 00:27:12 -------
Кто будет тестировать новый consolehelper?
------- Comment #9 From 2004-11-16 00:47:53 -------
Что для этого требуется?
------- Comment #10 From 2004-11-16 18:40:13 -------
reassigned to maintainer
------- Comment #11 From 2004-11-16 18:40:46 -------
Try consolehelper-0.2.8-alt1
------- Comment #12 From 2004-11-19 18:56:52 -------
[pilot@home pilot]$ poweroff
consolehelper: Аутентификация завершилась неудачно
[pilot@home pilot]$ poweroff
consolehelper: Аутентификация завершилась неудачно
[pilot@home pilot]$ poweroff
consolehelper: Аутентификация завершилась неудачно
[pilot@home pilot]$ rpm -q consolehelper
consolehelper-0.2.8-alt1

Это я по ssh зашёл. С физической консоли уже всё хорошо.
------- Comment #13 From 2004-11-19 19:15:14 -------
Т.е. теперь работает?

Кто-нибудь gdm проверьте, пожалуйста.
------- Comment #14 From 2004-11-19 20:27:04 -------
У меня после обновления до consolehelper-0.2.8-alt1 - poweroff/reboot из gdm
стали проходить нормально. Спасибо!
------- Comment #15 From 2004-11-19 20:38:57 -------
Что касается поведения poweroff от непривилегированного пользователя через ssh
-
у меня происходит то же, что описано в Comment #12:

$ poweroff 
consolehelper: Аутентификация завершилась неудачно

Хотя до обновления это же работало (проверял).
------- Comment #16 From 2004-11-19 22:06:06 -------
reboot/halt/poweroff от непривилегированного удалённого пользователя не должен
работать начиная с SysVinit-usermode >= 1.3-alt1; это, впрочем, конфигурируемо
через /etc/pam.d/reboot
------- Comment #17 From 2004-12-10 15:27:12 -------
Стало быть,
fixed in consolehelper-0.2.8-alt1